{ pkgs, ... }:
{
  programs.zsh = {
    enable = true;
    envExtra = ''
export PATH=~/bin:''${PATH}

#export PS1="%B%n%b@%U%m%u/%l:%~> "
export PAGER=less
export EDITOR=vim

export LC_COLLATE="C"
export QUOTING_STYLE="literal"

#export COLORTERM=truecolor
#export COLORFGBG="green;blue"
export COLORFGBG=";0"
    '';
    history = {
      save = 100000;
      size = 100000;
    };
    initContent = (builtins.readFile ./zshrc);
    shellAliases = {
      ftp = "${pkgs.inetutils}/bin/ftp";
      grep = "grep --color=auto";
      ip = "ip -c=auto";
      la = "ls -aF --color=auto";
      ll = "ls -alFhs --color=auto";
      nix-list-derivations = "nix-store --query --requisites /run/current-system | cut -d- -f2- | sort | uniq";
      nix-list-generations = "nixos-rebuild list-generations | cat; echo; nix-env --list-generations --profile /nix/var/nix/profiles/system";
      pstrace = "bpftrace -e 'tracepoint:syscalls:sys_enter_exec*{ printf(\"pid: %d, comm: %s, args: \", pid, comm); join(args->argv); }'";
      telnet = "${pkgs.inetutils}/bin/telnet";
      zgrep = "zgrep --color=auto";
    };
  };
}
